#
# Conditional build:
%bcond_without	static_libs	# static library
%bcond_with	systemd		# systemd
%bcond_with	tests		# "make check" call
#
Summary:	libqb - high performance client server reusable features
Summary(pl.UTF-8):	libqb - wysoko wydajne funkcje architektury klient-serwer
Name:		libqb
Version:	2.0.8
Release:	1%{?tld}
License:	LGPL v2.1+
Group:		Libraries
#Source0Download: https://github.com/ClusterLabs/libqb/releases
Source0:	https://github.com/ClusterLabs/libqb/releases/download/v%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	26bccc2a347ca61f08fc7a2136d43c19
URL:		https://github.com/ClusterLabs/libqb
%{?with_tests:BuildRequires:	check-devel >= 0.9.4}
BuildRequires:	doxygen
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	pkgconfig
%{?with_systemd:BuildRequires:	systemd-devel >= 1:209}
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libqb is a library with the primary purpose of providing high
performance client server reusable features. It provides high
performance logging, tracing, ipc, and poll.

%description -l pl.UTF-8
libqb to biblioteka, której głównym celem jest dostarczenie
wysoko wydajnych funkcji użytecznych przy architekturze klient-serwer.
Udostępnia wysoko wydajne logowanie, śledzenie, IPC oraz poll.

%package devel
Summary:	Header files for libqb library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libqb
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libqb library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libqb.

%package static
Summary:	Static libqb library
Summary(pl.UTF-8):	Statyczna biblioteka libqb
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libqb library.

%description static -l pl.UTF-8
Statyczna biblioteka libqb.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static} \
	%{!?with_systemd:--disable-systemd-journal}
%{__make}

%if %{with tests}
%{__make} check
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libqb.la
# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog README.markdown
%attr(755,root,root) %{_sbindir}/qb-blackbox
%attr(755,root,root) %{_libdir}/libqb.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libqb.so.100
%{_mandir}/man8/qb-blackbox.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libqb.so
%{_includedir}/qb
%{_pkgconfigdir}/libqb.pc
%{_mandir}/man3/qb*.h.3*
%{_mandir}/man3/qb_*.3*

# XXX: subpackage?
%attr(755,root,root) %{_bindir}/doxygen2man
%{_mandir}/man1/doxygen2man.1*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libqb.a
%endif
%changelog
* Wed Apr 03 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/libqb.git;a=log;h=master

* Wed Apr 03 2024 Marcin Krol <hawk@tld-linux.org> c2c741a
- allow building on systems without systemd

* Wed Dec 27 2023 Jan Palus <atler@pld-linux.org> 3d6faa3
- up to 2.0.8

* Fri Mar 03 2023 Jakub Bogusz <qboosh@pld-linux.org> 11c7472
- updated to 2.0.6

* Sun Feb 06 2022 Jakub Bogusz <qboosh@pld-linux.org> 7089c57
- updated to 2.0.4 (new soname)

* Fri May 01 2020 Jakub Bogusz <qboosh@pld-linux.org> fea79ca
- updated to 1.0.6

* Sun Feb 09 2020 Jakub Bogusz <qboosh@pld-linux.org> bc61773
- updated to 1.0.5

* Tue Apr 17 2018 Jakub Bogusz <qboosh@pld-linux.org> 5752a21
- updated to 1.0.3

* Sat Apr 15 2017 Jakub Bogusz <qboosh@pld-linux.org> 56bebe0
- updated to 1.0.1

* Sat Oct 15 2016 Jakub Bogusz <qboosh@pld-linux.org> 5cf5d17
- updated to 1.0

* Sun Nov 08 2015 Jakub Bogusz <qboosh@pld-linux.org> b866451
- updated to 0.17.2

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> ff38e5f
- x32 rebuild
- release 2 (by relup.sh)

* Sun Jan 04 2015 Jan Rękorajski <baggins@pld-linux.org> a9b94e6
- disable tests, require root privs

* Sun Aug 31 2014 Jakub Bogusz <qboosh@pld-linux.org> a09f775
- updated to 0.17.1
- drop .la file

* Mon Mar 03 2014 Jakub Bogusz <qboosh@pld-linux.org> ef0e17c
- updated to 0.17.0

* Sun Sep 01 2013 Jakub Bogusz <qboosh@pld-linux.org> c5d8064
- updated to 0.16.0

* Tue Jun 25 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 9910661
- URL fixed

* Sun Jan 27 2013 Jakub Bogusz <qboosh@pld-linux.org> c92bde4
- updated to 0.14.4

* Sun Jan 27 2013 Jakub Bogusz <qboosh@pld-linux.org> ba8a3cb
- pl, unified

* Sun Jul 01 2012 Jacek Konieczny <jajcus@pld-linux.org> d9ed9f6
- Release: 1

* Sun Jul 01 2012 Jacek Konieczny <jajcus@pld-linux.org> fb1e495
- new package

